package com.upyuns.platform.rs.datacenter.mapper;

import com.upyuns.platform.rs.datacenter.entity.RscpAreaInfo;
import com.upyuns.platform.rs.datacenter.entity.RscpImagePrice;
import org.apache.ibatis.annotations.Select;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface RscpAreaInfoMapper extends Mapper<RscpAreaInfo> {
    public RscpAreaInfo queryAreaInfoByAreaCode(String areaCode);

    public List<RscpAreaInfo> getDirectSubAreas(String parentId);

    @Select("select adminCode,proadcode,cityadcode,name,cityname,proname from rscm_area_info where st_intersects(geom, #{range})")
    public List<RscpAreaInfo> getIntersectAreaInfo(String range);
}